Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
network_id
string<uuid>
required

The identification of the related network resource.

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

name
string
required

The private wireless gateway name.

Example:

"My private wireless gateway"

region_code
string

The code of the region where the private wireless gateway will be assigned. A list of available regions can be found at the regions endpoint

Example:

"dc2"

address_mode
enum<string>
default:dynamic

Determines how IP addresses are assigned to SIM cards using this gateway. With static, each SIM card gets a fixed IP address from the gateway's IP range that is preserved across sessions. With dynamic, an IP address is assigned by the network at attach time and may change between sessions. If omitted, the gateway is created with the default address mode, dynamic.

Available options:
static,
dynamic
Example:

"static"

Response

Creation request accepted. Provisioning is asynchronous; poll GET /private_wireless_gateways/{id} with the returned id to check status.

data
object